Gecode::IntTraceDelta Class Reference
Functionality by programming task » Programming models » Tracing constraint propagation » Tracing for integer and Boolean variables

Trace delta information for integer variables. More...

`#include <int.hh>`

## Protected Attributes

Int::ViewRanges< Int::IntView > | rn
| Iterator over the new values.
Iter::Ranges::RangeList | ro
| Iterator over the old values.
Protected Attributes inherited from Gecode::Iter::Ranges::Diff< Iter::Ranges::RangeList, Int::ViewRanges< Int::IntView > >
Iter::Ranges::RangeList | i
| Iterator from which to subtract.
Int::ViewRanges< Int::IntView > | j
| Iterator to be subtracted.
Protected Attributes inherited from Gecode::Iter::Ranges::MinMax
int | mi
| Minimum of current range.
int | ma
| Maximum of current range.

## Constructors and initialization

| IntTraceDelta (Int::IntTraceView o, Int::IntView n, const Delta &d)
| Initialize with old trace view o, new view n, and delta d.

## Additional Inherited Members

| Diff (void)
| Default constructor.
void | init (Iter::Ranges::RangeList &i, Int::ViewRanges< Int::IntView > &j)
| Initialize with iterator i and j.
void | operator++ (void)
| Move iterator to next range (if possible).
| MinMax (void)
| Default constructor.
| MinMax (int min, int max)
| Initialize with range min to max.
bool | operator() (void) const
| Test whether iterator is still at a range or done.
int | min (void) const
| Return smallest value of range.
int | max (void) const
| Return largest value of range.
unsigned int | width (void) const
| Return width of range (distance between minimum and maximum).
Protected Member Functions inherited from Gecode::Iter::Ranges::MinMax
void | finish (void)
| Set range such that iteration stops

## Detailed Description

Trace delta information for integer variables.

Definition at line 5528 of file int.hh.

## Constructor & Destructor Documentation

## IntTraceDelta()

Gecode::IntTraceDelta::IntTraceDelta | ( | Int::IntTraceView | o,
|  | Int::IntView | n,
|  | const Delta & | d )

inline

Initialize with old trace view o, new view n, and delta d.

Definition at line 37 of file int-delta.hpp.

## Member Data Documentation

## rn

Int::ViewRanges<Int::IntView> Gecode::IntTraceDelta::rn

protected

Iterator over the new values.

Definition at line 5533 of file int.hh.

## ro

Iter::Ranges::RangeList Gecode::IntTraceDelta::ro

protected

Iterator over the old values.

Definition at line 5535 of file int.hh.

The documentation for this class was generated from the following files:

- gecode/int.hh
- gecode/int/trace/int-delta.hpp